Subject: bug of install program

From: 陈燕潘 <[email-masked]>
Date: Sat, 18 Feb 2012 01:30:05 +0800 (CST)

Hi, I come across a problem, I don't whether it is a bug.
Version of install is 7.1.
I have something look like this:
opensuse113:/home/test_install # find 1/
1/
1/a
1/a/b
1/a/b/c
1/a/b/c/d.txt
1/a/b/c/d
opensuse113:/home/test_install # find 2/
2/
I want to copy everything in 1/a/b/c to 2/a/b/c. So I use the command with the option -D, but it doesn't work.
opensuse113:/home/test_install # install -D 1/a/b/c/* 2/a/b/c
install: target `2/a/b/c' is not a directory

Wht not create the directory 2/a/b/c, then copy everying?
 
Looking forward to your reply.

--
custa